# ********************** START OF CHAPT06.MAK **********************
#
# This is the make file for the Chapter 6 test program.
# Just remove the comment character from the CC line defined
# for your compiler, then execute:
#
#          Borland :             make -fchapt06.mak
#
#          Microsoft:            nmake -fchapt06.mak
#

#CC = bcc -w -N -I..\common -I..\common16
CC = cl /W4 /I..\common /I..\common16

FILES = biosport.obj pcirq.obj rs232.obj textwind.obj msdos.obj

.cpp.obj:
  $(CC) -c $<

chapt06.exe : chapt06.obj $(FILES)
             $(CC) chapt06.obj $(FILES)

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

textwind.obj : ..\common16\textwind.cpp
        $(CC) -c ..\common16\textwind.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

# ********************** END OF CHAPT06.MAK **********************

