# ********************** START OF TESTTERM.MAK **********************
#
# This is the make file for the terminal emulation test program.
# Just remove the leading comment characters from the two lines 
# for  your compiler, then execute:
#
#          Borland :             make -ftestterm.mak
#
#          Microsoft:            nmake -ftestterm.mak
#

#CC = bcc -w -I..\common16 -I..\common
#LINK = bcc 
CC = cl /W4 /AL /I..\common16 /I..\common
LINK = cl /AL

FILES = pc8250.obj isr_8250.obj queue.obj ansiterm.obj pcirq.obj

.cpp.obj:
  $(CC) -c $<

testterm.exe : testterm.obj rs232.obj textwind.obj msdos.obj $(FILES)
               $(LINK) testterm.obj rs232.obj textwind.obj msdos.obj $(FILES)

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

textwind.obj : ..\common16\textwind.cpp
        $(CC) -c ..\common16\textwind.cpp

pc8250.obj : ..\common16\pc8250.cpp
        $(CC) -c ..\common16\pc8250.cpp

isr_8250.obj : ..\common16\isr_8250.cpp
        $(CC) -c ..\common16\isr_8250.cpp

queue.obj : ..\common16\queue.cpp
        $(CC) -c ..\common16\queue.cpp

ansiterm.obj : ..\common\ansiterm.cpp
        $(CC) -c ..\common\ansiterm.cpp

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

# ********************** END OF TESTTERM.MAK **********************

