# ********************* START OF TESTZM.MAK *********************
#
#
# This is the make file use to create TESTZM.EXE, from Chapter 16.
# To create the executable, just type:
#
#   Borland:        make -f testzm.mak
#   Microsoft:      nmake -f testzm.mak
#
#

CC = bcc -w -I..\common -I..\common16
#CC = cl /W4 /AL /I..\common /I..\common16

FILES = pc8250.obj isr_8250.obj queue.obj pcirq.obj

.cpp.obj:
  $(CC) -c $<

testzm.exe : testzm.obj zmodem.obj crc.obj rs232.obj msdos.obj $(FILES)
             $(CC) testzm.obj zmodem.obj crc.obj rs232.obj msdos.obj $(FILES)

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

pc8250.obj : ..\common16\pc8250.cpp
        $(CC) -c ..\common16\pc8250.cpp

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

queue.obj : ..\common16\queue.cpp
        $(CC) -c ..\common16\queue.cpp

isr_8250.obj : ..\common16\isr_8250.cpp
        $(CC) -c ..\common16\isr_8250.cpp

# ********************** END OF TESTZM.MAK **********************


