# ********************** START OF CHAPT03.MAK **********************
#
# This is the make file for the Chapter 3 test program.
# Just remove the leading comment line from your compiler, then
# execute:
#          Borland :             make -fchapt03.mak
#
#          Microsoft:            nmake -fchapt03.mak
#

#CC = bcc -w -N -I..\common -I..\common16
CC = cl /I..\common /I..\common16 /W4

FILES = pc8250.obj queue.obj isr_8250.obj pcirq.obj\
        rs232.obj textwind.obj msdos.obj

.cpp.obj:
  $(CC) -c $<

chapt03.exe : chapt03.obj $(FILES)
             $(CC) chapt03.obj $(FILES)

pc8250.obj  : ..\common16\pc8250.cpp
        $(CC) -c ..\common16\pc8250.cpp

queue.obj : ..\common16\queue.cpp
        $(CC) -c ..\common16\queue.cpp

isr_8250.obj : ..\common16\isr_8250.cpp
        $(CC) -c ..\common16\isr_8250.cpp

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

textwind.obj : ..\common16\textwind.cpp
        $(CC) -c ..\common16\textwind.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

# ********************** END OF CHAPT03.MAK **********************

