# ********************** START OF CHAPT05.MAK **********************
#
# This is the make file for the Chapter 5 test program.
# Just remove the leading comments from the CC and LINK lines 
# for your compiler, then execute:
#
#          Borland :             make -fchapt05.mak
#
#          Microsoft:            nmake -fchapt05.mak
#

#CC = bcc -w -N -I..\common -I..\common16
#LINK = bcc -w -N
CC = cl /W4 /I..\common /I..\common16
LINK = cl /W4

FILES = pc8250.obj queue.obj isr_8250.obj pcirq.obj digi.obj\
        rs232.obj textwind.obj msdos.obj

.cpp.obj:
  $(CC) -c $<

chapt05.exe : chapt05.obj $(FILES)
             $(LINK) chapt05.obj $(FILES)

pc8250.obj  : ..\common16\pc8250.cpp
        $(CC) -c ..\common16\pc8250.cpp

queue.obj : ..\common16\queue.cpp
        $(CC) -c ..\common16\queue.cpp

isr_8250.obj : ..\common16\isr_8250.cpp
        $(CC) -c ..\common16\isr_8250.cpp

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

textwind.obj : ..\common16\textwind.cpp
        $(CC) -c ..\common16\textwind.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

# ********************** END OF CHAPT05.MAK **********************

