# ********************** START OF CHAPT07.MAK **********************
#
# This is the make file for the Chapter 7 test program.
# Just remove the leading comment character from the lines 
# defined for your compiler, then execute:
#
#          Borland :             make -fchapt07.mak
#
#          Microsoft:            nmake -fchapt07.mak
#

#CC = bcc -w -N -I..\common16 -I..\common
CC = cl /W4 /I..\common16 /I..\common

FILES = biosport.obj fossil.obj pcirq.obj\
        rs232.obj textwind.obj msdos.obj

.cpp.obj:
  $(CC) -c $<

chapt07.exe : chapt07.obj $(FILES)
             $(CC) chapt07.obj $(FILES)

rs232.obj : ..\common\rs232.cpp
        $(CC) -c ..\common\rs232.cpp

pcirq.obj : ..\common16\pcirq.cpp
        $(CC) -c ..\common16\pcirq.cpp

textwind.obj : ..\common16\textwind.cpp
        $(CC) -c ..\common16\textwind.cpp

msdos.obj : ..\common16\msdos.cpp
        $(CC) -c ..\common16\msdos.cpp

# ********************** END OF CHAPT07.MAK **********************

