// Chapt12Dlg.h : header file
//

#if !defined(AFX_Chapt12DLG_H__E68E0045_E6E9_11D2_BDEF_00207813663F__INCLUDED_)
#define AFX_Chapt12DLG_H__E68E0045_E6E9_11D2_BDEF_00207813663F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CChapt12Dlg dialog

#include "Win32Port.h"

class CChapt12Dlg : public CDialog
{
// Construction
public:
	CChapt12Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CChapt12Dlg)
	enum { IDD = IDD_CHAPT12_DIALOG };
	CButton	m_SpewButton;
	CButton	m_FlushTxButton;
	CButton	m_FlushRxButton;
	CButton	m_PeekBufferButton;
	CButton	m_SendBreakButton;
	CButton	m_DumpStatusButton;
	CButton	m_SendBufferButton;
	CButton	m_ReadCharButton;
	CButton	m_UpdateButton;
	CComboBox	m_PortComboBox;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChapt12Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_iRingCount;
	int m_iFramingErrorCount;
	int m_iParityErrorCount;
	int m_iHardwareOverrunErrorCount;
	int m_iSoftwareOverrunErrorCount;
	int m_iBreakDetectCount;
    int m_iTxNotifyCount;
	enum { SUPPRESS_READING, READ_BYTES, READ_BUFFERS } m_eReading;
	bool m_bErrorNotification;
    bool m_bSpewing;
    Win32Port * m_pPort;
	HANDLE m_hCloseConsoleEvent;
	static void ConsoleInputThread( void *arglist );
	HANDLE m_hConsoleOutput;
	HANDLE m_hConsoleInput;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CChapt12Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenOrClose();
	afx_msg void OnDestroy();
	afx_msg void OnSendBuffer();
	afx_msg void OnUpdate();
	afx_msg void OnEditupdateBaudRate();
	afx_msg void OnSelchangeBaudRate();
	afx_msg void OnEditchangeParity();
	afx_msg void OnSelchangeParity();
	afx_msg void OnEditupdateStopBits();
	afx_msg void OnSelchangeStopBits();
	afx_msg void OnEditupdateWordSize();
	afx_msg void OnSelchangeWordSize();
	afx_msg void OnRts();
	afx_msg void OnDtr();
	afx_msg void OnDtrDsr();
	afx_msg void OnXonXoff();
	afx_msg void OnRtsCts();
	afx_msg LONG OnRxNotify( UINT, LONG );
	afx_msg LONG OnFramingErrorNotify( UINT, LONG );
	afx_msg LONG OnParityErrorNotify( UINT, LONG );
	afx_msg LONG OnHardwareOverrunErrorNotify( UINT, LONG );
	afx_msg LONG OnSoftwareOverrunErrorNotify( UINT, LONG );
	afx_msg LONG OnBreakDetectNotify( UINT, LONG );
	afx_msg LONG OnCtsNotify( UINT, LONG );
	afx_msg LONG OnDsrNotify( UINT, LONG );
	afx_msg LONG OnCdNotify( UINT, LONG );
	afx_msg LONG OnRiNotify( UINT, LONG );
	afx_msg LONG OnTxNotify( UINT, LONG );
	afx_msg void OnReading();
	afx_msg void OnReadChar();
	afx_msg void OnDumpStatus();
	afx_msg void OnErrorNotification();
	afx_msg void OnSendBreak();
	afx_msg void OnSelchangeReadType();
	afx_msg void OnPeekBuffer();
	afx_msg void OnFlushRx();
	afx_msg void OnFlushTx();
	afx_msg void OnSpew();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_Chapt12DLG_H__E68E0045_E6E9_11D2_BDEF_00207813663F__INCLUDED_)
